AngularDimension(...)
This method constructs a ConstrainedSketchDimension object between two ConstrainedSketchGeometry objects, with the given angle between them.
Path
mdb.models[name].sketches[name].AngularDimension
Required arguments
- line1
-
A ConstrainedSketchGeometry object specifying the first line.
- line2
-
A ConstrainedSketchGeometry object specifying the second line.
- textPoint
-
A pair of Floats specifying the location of the dimension text.
Optional arguments
- value
-
A Float specifying the angle between the two lines.
- reference
-
A Boolean specifying whether the created dimension enforces the above value or if it simply measures the angle between two lines.
Return value
A ConstrainedSketchDimension object (None if the dimension cannot be created).
Exceptions
None.